<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'affiliateprogram',

    /*
     * Modules.
     */
    'modules'   => ['affiliate_program'],

    
    'affiliate_program'       => [
        'model' => [
            'model'                 => \Litecms\Affiliateprogram\Models\AffiliateProgram::class,
            'table'                 => 'affiliate_programs',
            'presenter'             => \Litecms\Affiliateprogram\Repositories\Presenter\AffiliateProgramPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['packagename',  'psv',  'direct_active_referrals',  'app_referral',  'first_gen_commission',  'second_gen_commission',  'third_gen_commission'],
            'translatables'         => [],
            'upload_folder'         => 'affiliateprogram/affiliate_program',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Affiliateprogram',
            'module'    => 'AffiliateProgram',
        ],

    ],
];
