<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAffiliateProgramsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: affiliate_programs
         */
        Schema::create('affiliate_programs', function ($table) {
            $table->increments('id');
            $table->text('packagename')->nullable();
            $table->text('psv')->nullable();
            $table->text('direct_active_referrals')->nullable();
            $table->text('app_referral')->nullable();
            $table->text('first_gen_commission')->nullable();
            $table->text('second_gen_commission')->nullable();
            $table->text('third_gen_commission')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('affiliate_programs');
    }
}
