<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for affiliate_program in affiliateprogram package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  affiliate_program module in affiliateprogram package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'AffiliateProgram',
    'names'         => 'AffiliatePrograms',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'AffiliatePrograms',
        'sub'   => 'AffiliatePrograms',
        'list'  => 'List of affiliate_programs',
        'edit'  => 'Edit affiliate_program',
        'create'    => 'Create new affiliate_program'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'packagename'                => 'Package Name',
        'psv'                        => 'Personal Sales Volume',
        'direct_active_referrals'        => 'Direct Active Referrals',
        'app_referral'               => 'App Referrals',
        'first_gen_commission'        => '1st Generation Commission',
        'second_gen_commission'        => '2nd Generation Commission',
        'third_gen_commission'        => 'Third Generation Commission',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'packagename'                => 'Package Name',
        'psv'                        => 'Personal Sales Volume',
        'direct_active_referrals'        => 'Direct Active Referrals',
        'app_referral'               => 'App Referrals',
        'first_gen_commission'        => '1st Generation Commission',
        'second_gen_commission'        => '2nd Generation Commission',
        'third_gen_commission'        => 'Third Generation Commission',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'packagename'                => ['name' => 'Package Name', 'data-column' => 1, 'checked'],
        'psv'                        => ['name' => 'Personal Sales Volume', 'data-column' => 2, 'checked'],
        'direct_active_referrals'        => ['name' => 'Direct Active Referrals', 'data-column' => 3, 'checked'],
        'app_referral'               => ['name' => 'App Referrals', 'data-column' => 4, 'checked'],
        'first_gen_commission'        => ['name' => '1st Generation Commission', 'data-column' => 5, 'checked'],
        'second_gen_commission'        => ['name' => '2nd Generation Commission', 'data-column' => 6, 'checked'],
        'third_gen_commission'        => ['name' => 'Third Generation Commission', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'AffiliatePrograms',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
