    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#affiliate_program" data-toggle="tab">{!! trans('affiliateprogram::affiliate_program.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#affiliateprogram-affiliate_program-edit'  data-load-to='#affiliateprogram-affiliate_program-entry' data-datatable='#affiliateprogram-affiliate_program-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#affiliateprogram-affiliate_program-entry' data-href='{{guard_url('affiliateprogram/affiliate_program')}}/{{$affiliate_program->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('affiliateprogram-affiliate_program-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('affiliateprogram/affiliate_program/'. $affiliate_program->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="affiliate_program">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('affiliateprogram::affiliate_program.name') !!} [{!!$affiliate_program->name!!}] </div>
                @include('affiliateprogram::admin.affiliate_program.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>