            @include('affiliateprogram::public.affiliate_program.partial.header')

            <section class="grid">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('affiliateprogram::public.affiliate_program.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="main-area parent-border list-item">
                                @foreach($affiliate_programs as $affiliate_program)
                                <div class="item border">
                                    <div class="feature">
                                        <a href="{{trans_url('affiliate_programs')}}/{{@$affiliate_program['slug']}}">
                                            <img src="{{url($affiliate_program->defaultImage('images'))}}" class="img-responsive center-block" alt="">
                                        </a>
                                    </div>
                                    <div class="content">
                                        <h4><a href="{{trans_url('affiliate_program')}}/{{$affiliate_program['slug']}}">{{str_limit($affiliate_program['title'], 300)}}</a> 
                                        </h4>
                                        <div class="metas mt20">
                                            <div class="tag pull-left">
                                                <a href="#" class="">Seo Tips</a>
                                            </div>
                                            <div class="date-time pull-right">
                                                <span><i class="fa fa-comments"></i>{{@$affiliate_program->viewcount}}</span>
                                                <span><i class="fa fa-calendar"></i>{{format_date($affiliate_program['posted_on'])}}</span>
                                            </div>
                                        </div>
                                        <div class="divider"></div>
                                        <div class="author">
                                            <div class="avatar pull-left">
                                                {{@$affiliate_program->user->badge}}
                                            </div>
                                            <div class="actions">
                                                

                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                @endforeach
                            </div>
                            <div class="pagination text-center">
                            {{ $affiliate_programs->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </section> 