            @include('affiliateprogram::public.affiliate_program.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('affiliateprogram::public.affiliate_program.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($affiliate_program->defaultImage('images' , 'xl'))!!}" alt="{{$affiliate_program->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="packagename">
                    {!! trans('affiliateprogram::affiliate_program.label.packagename') !!}
                </label><br />
                    {!! $affiliate_program['packagename'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="psv">
                    {!! trans('affiliateprogram::affiliate_program.label.psv') !!}
                </label><br />
                    {!! $affiliate_program['psv'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="direct_active_referrals">
                    {!! trans('affiliateprogram::affiliate_program.label.direct_active_referrals') !!}
                </label><br />
                    {!! $affiliate_program['direct_active_referrals'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="app_referral">
                    {!! trans('affiliateprogram::affiliate_program.label.app_referral') !!}
                </label><br />
                    {!! $affiliate_program['app_referral'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="first_gen_commission">
                    {!! trans('affiliateprogram::affiliate_program.label.first_gen_commission') !!}
                </label><br />
                    {!! $affiliate_program['first_gen_commission'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="second_gen_commission">
                    {!! trans('affiliateprogram::affiliate_program.label.second_gen_commission') !!}
                </label><br />
                    {!! $affiliate_program['second_gen_commission'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="third_gen_commission">
                    {!! trans('affiliateprogram::affiliate_program.label.third_gen_commission') !!}
                </label><br />
                    {!! $affiliate_program['third_gen_commission'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('packagename')
                       -> label(trans('affiliateprogram::affiliate_program.label.packagename'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.packagename'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('psv')
                       -> label(trans('affiliateprogram::affiliate_program.label.psv'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.psv'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('direct_active_referrals')
                       -> label(trans('affiliateprogram::affiliate_program.label.direct_active_referrals'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.direct_active_referrals'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('app_referral')
                       -> label(trans('affiliateprogram::affiliate_program.label.app_referral'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.app_referral'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('first_gen_commission')
                       -> label(trans('affiliateprogram::affiliate_program.label.first_gen_commission'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.first_gen_commission'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('second_gen_commission')
                       -> label(trans('affiliateprogram::affiliate_program.label.second_gen_commission'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.second_gen_commission'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('third_gen_commission')
                       -> label(trans('affiliateprogram::affiliate_program.label.third_gen_commission'))
                       -> required()
                       -> placeholder(trans('affiliateprogram::affiliate_program.placeholder.third_gen_commission'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



